
/* LOG 2.01 - 28/8/97 (C) Vittorio Bertola */


#ifndef _LOG

#define LOG


#define LOGFNAME_LEN 100


#include <stdio.h>
#include <string.h>
#include <time.h>
#include "strinlib.h"


extern void SetLogName(char *);
extern int LogClear(void);
extern int LogWrite(char *);
extern int LogWriteln(char *);
extern int LogWriteInt(long int);
extern int LogNewLine(void);
extern int LogDate(void);


/* Questo modulo serve per gestire un log file (per debug oppure per info
   all'utente). La procedura SetLogName deve essere chiamata per prima e
   setta il nome e percorso completo del file di log, fornito in argomento.
   LogClear azzera il file di log; LogNewLine va a capo nel file di log;
   LogWrite scrive la stringa in argomento nel file di log; LogWriteln e'
   come LogWrite, ma appende un \n in fondo; LogWriteInt scrive il numero
   (int o long int) fornito in argomento; LogDate scrive la data attuale,
   nel formato DD/MM/YY HH:MM:SS, e va a capo. Queste funzioni restituiscono
   1 se e' andato tutto ok, 0 altrimenti.
   Nel caso di sistemi Unix, e' bene che il file di log sia creato preceden-
   temente all'esecuzione del programma (verra' comunque sovrascritto) e sia
   settato come world-writable. (chmod a+w log)
   Le procedure provvedono ad aprire e chiudere il file ogni volta, in modo
   che anche se il programma chiamante si pianta tutto quel che e' stato
   scritto in precedenza non vada perduto.
*/


#endif